libzypp: zypp::repo::PackageProvider Class Reference

libzypp 17.38.5

zypp::repo::PackageProvider Class Reference

Provide a package from a Repo. More...

`#include <zypp/repo/PackageProvider.h>`

## Classes
class | Impl
| PackageProvider implementation interface. More...

## Public Member Functions
| PackageProvider (RepoMediaAccess &access, const PoolItem &pi_r, PackageProviderPolicy policy_r=PackageProviderPolicy())
| Ctor taking the package to provide.
| PackageProvider (RepoMediaAccess &access, const PoolItem &pi_r, DeltaCandidates deltas, PackageProviderPolicy policy_r=PackageProviderPolicy())
| PackageProvider (RepoMediaAccess &access, Package::constPtr package, DeltaCandidates deltas, PackageProviderPolicy policy_r=PackageProviderPolicy())
| Legacy Ctor taking a `Package::constPtr` to provide.
| ~PackageProvider ()
ManagedFile | providePackage () const
| Provide the package.
ManagedFile | providePackageFromCache () const
| Provide the package if it is cached.
bool | isCached () const
| Whether the package is cached.

## Private Attributes
RW_pointer< Impl > | _pimpl
| Implementation class.

## Detailed Description

Provide a package from a Repo.

Use available deltarpm if apropriate.

Definition at line 59 of file PackageProvider.h.

## Constructor & Destructor Documentation

## ◆ PackageProvider() [1/3]

zypp::repo::PackageProvider::PackageProvider | ( | RepoMediaAccess & | access,
|  | const PoolItem & | pi_r,
|  | PackageProviderPolicy | policy_r = PackageProviderPolicy() )

Ctor taking the package to provide.

Exceptions

  Exception | If pi_r refers to neither a `Package` nor a `SrcPackage`.

Definition at line 700 of file PackageProvider.cc.

## ◆ PackageProvider() [2/3]

zypp::repo::PackageProvider::PackageProvider | ( | RepoMediaAccess & | access,
|  | const PoolItem & | pi_r,
|  | DeltaCandidates | deltas,
|  | PackageProviderPolicy | policy_r = PackageProviderPolicy() )

Definition at line 694 of file PackageProvider.cc.

## ◆ PackageProvider() [3/3]

zypp::repo::PackageProvider::PackageProvider | ( | RepoMediaAccess & | access,
|  | Package::constPtr | package,
|  | DeltaCandidates | deltas,
|  | PackageProviderPolicy | policy_r = PackageProviderPolicy() )

Legacy Ctor taking a `Package::constPtr` to provide.

Definition at line 706 of file PackageProvider.cc.

## ◆ ~PackageProvider()

zypp::repo::PackageProvider::~PackageProvider | ( |  | ) |

Definition at line 713 of file PackageProvider.cc.

## Member Function Documentation

## ◆ providePackage()

ManagedFile zypp::repo::PackageProvider::providePackage | ( |  | ) | const

Provide the package.

Exceptions

  Exception. |

Definition at line 716 of file PackageProvider.cc.

## ◆ providePackageFromCache()

ManagedFile zypp::repo::PackageProvider::providePackageFromCache | ( |  | ) | const

Provide the package if it is cached.

Definition at line 719 of file PackageProvider.cc.

## ◆ isCached()

bool zypp::repo::PackageProvider::isCached | ( |  | ) | const

Whether the package is cached.

Definition at line 722 of file PackageProvider.cc.

## Member Data Documentation

## ◆ _pimpl

RW_pointer<Impl> zypp::repo::PackageProvider::_pimpl
| private

Implementation class.

Pointer to implementation.

Definition at line 98 of file PackageProvider.h.

The documentation for this class was generated from the following files:

- zypp/repo/PackageProvider.h
- zypp/repo/PackageProvider.cc